Bug 1389228 (CVE-2016-5875)

Summary: CVE-2016-5875 libtiff: PixarLogDecode Heap Buffer Overflow
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: carnil, dominik.mierzejewski, erik-fedora, nforro, phracek, sardella, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-12 07:57:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1389231, 1389232, 1389233    
Bug Blocks: 1346703, 1389235    

Description Andrej Nemec 2016-10-27 08:42:11 UTC
An exploitable heap based buffer overflow exists in the handling of compressed TIFF images in LibTIFF’s PixarLogDecode api. A crafted TIFF document can lead to a heap based buffer overflow resulting in remote code execution. The vulnerability can be triggered through any user controlled TIFF that is handled by this functionality.

External References:

http://www.talosintelligence.com/reports/TALOS-2016-0205

Comment 1 Andrej Nemec 2016-10-27 08:47:21 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1389231]

Comment 2 Andrej Nemec 2016-10-27 08:47:27 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1389232]
Affects: epel-7 [bug 1389233]

Comment 3 Salvatore Bonaccorso 2016-10-28 05:08:15 UTC
Hi

According to TALOS-2016-0205 the actual CVE ID should be CVE-2016-5875. So is the CVE-2016-5857 alias a typo?

Thanks already for clarification.

Regards,
Salvatore

Comment 4 Tomas Hoger 2016-10-28 07:31:50 UTC
Seem like a typo, yes.  Fixing.  Thank you!

Comment 8 Huzaifa S. Sidhpurwala 2017-01-12 07:57:17 UTC
Statement:

This security flaw is addressed by the patch released for CVE-2016-5320. Therefore Red Hat Enterprise Linux packages are not affected.

Comment 10 Stefan Cornelius 2017-06-27 08:58:25 UTC
*** Bug 1346689 has been marked as a duplicate of this bug. ***

Comment 11 Stefan Cornelius 2017-06-27 11:52:05 UTC
*** Bug 1346697 has been marked as a duplicate of this bug. ***